<?php

namespace EventPortal\Tests\Unit\Component;

use EventPortal\Domain\Component\Display;
use EventPortal\Tests\TestCase;

class DisplayTest extends TestCase
{
    /** @test **/
    public function can_make()
    {
        $display = Display::make('Hello There!');

        $this->assertEquals('Hello There!', $display->label);
    }

    /** @test **/
    public function can_set_value()
    {
        $display = Display::make('First name')->value('Daniel');

        $this->assertEquals('Daniel', $display->value);
    }

    /** @test **/
    public function can_get_true_as_yes()
    {
        $display = Display::make('Do you want water?')->asReadableBoolean()->value(true);
        $this->assertEquals('Yes', $display->value);
    }

    /** @test **/
    public function can_get_false_as_no()
    {
        $display = Display::make('Do you want water?')->asReadableBoolean()->value(false);
        $this->assertEquals('No', $display->value);
    }
}
