<?php

namespace EventPortal\Tests\Unit\Delegate\Handlers;

use EventPortal\Domain\Delegate\Handlers\UpdateDelegate;
use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Domain\Form\Payload;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Illuminate\Pipeline\Pipeline;

class UpdateDelegateTest extends TestCase
{
    use RefreshDatabase;

    /** @test **/
    public function delegate_is_added_to_context()
    {
        $delegate = factory(Delegate::class)->create();

        $payload = Payload::make()
            ->withModel($delegate->user)
            ->withContext(['delegate' => $delegate]);

        app(Pipeline::class)
            ->send($payload)
            ->through([new UpdateDelegate])
            ->thenReturn();

        $this->assertInstanceOf(Delegate::class, $payload->getContext('delegate'));
    }
}
